# $Revision: 1.52 $, $Date: 2012/02/12 23:54:57 $
Summary:	RAW-image converter written using GTK+
Summary(pl.UTF-8):	Konwerter obrazów RAW napisany z użyciem GTK+
Name:		rawstudio
Version:	2.0
%define	_rel	4
# Keep it for future snapshots because releases are not-so-frequent:
%define	_svnrev		1624
%define	_snapday	20080130
#Release:	1.%{_svnrev}.%{_snapday}.%{_rel}
Release:	%{_rel}
License:	GPL v2+
Group:		X11/Applications/Graphics
# SVN snapshot:
#Source0:	http://rawstudio.org/files/daily/%{name}-%{_snapday}-%{_svnrev}.tar.bz2
# Original source:
Source0:	http://rawstudio.org/files/release/%{name}-%{version}.tar.gz
# Source0-md5:	b2f86b8ca6b83ad954e3104c4cb89e9b
Patch0:		%{name}-libpng15.patch
URL:		http://rawstudio.org/
BuildRequires:	GConf2-devel >= 2.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	exiv2-devel
BuildRequires:	fftw3-single-devel
BuildRequires:	flickcurl-devel
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	lcms-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel
BuildRequires:	libxml2-devel >= 2.4
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Rawstudio is an open source raw-image converter written using GTK+
library.

%description -l pl.UTF-8
Rawstudio to mający otwarte źródła konwerter obrazów RAW napisany z
użyciem biblioteki GTK+.

%package devel
Summary:	rawstudio devel files
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{name}.

%prep
%setup -q
%patch0 -p1

%build
./autogen.sh
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/librawstudio-%{version}.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_libdir}/librawstudio-%{version}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librawstudio-%{version}.so.0
%{_desktopdir}/%{name}.desktop
%dir %{_pixmapsdir}/%{name}
%{_pixmapsdir}/%{name}/*.png
%{_iconsdir}/%{name}.png
%{_datadir}/%{name}
%{_datadir}/rawspeed

%files devel
%defattr(644,root,root,755)
%{_includedir}/%{name}-%{version}
%{_libdir}/librawstudio-%{version}.so
%{_pkgconfigdir}/%{name}-%{version}.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rawstudio.spec,v $
Revision 1.52  2012/02/12 23:54:57  adamg
- release 4 (rebuild against libpng-1.5)

Revision 1.51  2012/02/12 08:12:57  arekm
- release 4

Revision 1.50  2012/01/13 14:50:34  arekm
- release 3

Revision 1.49  2011/12/20 19:37:53  arekm
- release 2

Revision 1.48  2011/08/31 08:40:56  gotar
- removed bogus/empty translations, fixed Group, added %desc and R for
  devel subpackage, removed la file (package is pc-enabled), cosmetics

Revision 1.47  2011/04/23 21:10:19  alucard
- up to 2.0
- devel package made, perhaps also libs should be subpackaged
- patch removed

Revision 1.46  2011/03/24 18:40:07  arekm
- release 7

Revision 1.45  2010/09/06 19:08:41  arekm
- release 6

Revision 1.44  2010/01/29 08:24:27  amateja
- release 5

Revision 1.43  2009/12/08 15:36:54  sparky
- BR: libtiff-devel

Revision 1.42  2009/12/08 08:05:38  paszczus
- rebuild with exiv2 0.18.2
- rel 4

Revision 1.41  2009/07/14 12:44:21  arekm
- rel 3; builds now

Revision 1.40  2009/07/12 03:30:23  arekm
- release 2

Revision 1.39  2009/04/09 22:01:27  blues
- 1.2

Revision 1.38  2008/10/12 22:47:50  blues
- rel.2 - BR: exiv2-devel

Revision 1.37  2008/10/12 22:42:28  blues
- 1.1.1 - fix crash and some bugfixes

Revision 1.36  2008/09/15 22:02:42  blues
- 1.1 - EXIF support

Revision 1.35  2008-04-23 09:42:51  blues
- rel.4

Revision 1.34  2008-04-23 09:25:39  lmasko
- Typo in renaming cz->cs Czech locale filenames.

Revision 1.33  2008-04-23 09:14:02  blues
- rel.3 - fixed locale name

Revision 1.32  2008-04-23 00:02:49  blues
- rel.2 - proper cs_CZ locale

Revision 1.31  2008-04-22 23:35:44  blues
- typo

Revision 1.30  2008-04-22 23:17:48  blues
- just to fetch the sources

Revision 1.29  2008-04-19 21:44:53  aredridel
- 1.0

Revision 1.28  2008-01-30 21:07:29  blues
- snapshot 1624.20080130 - should build on PPC.

Revision 1.27  2008-01-25 22:41:49  blues
- 0.7 - official demosaic and many other features.

Revision 1.26  2008-01-06 18:28:43  blues
- svn snap 1560, 20080106 - no demosaic yet, sigsegv patch added

Revision 1.25  2007/10/31 23:57:10  blues
- svn snap 1487 - fixed crash

Revision 1.24  2007/10/29 23:03:01  blues
- back to snapshots: svn1486 from 20071029. There is demosaic finally...

Revision 1.23  2007/08/14 18:46:05  blues
- 0.6

Revision 1.22  2007/08/14 07:41:51  blues
- svn snapshot 1378 (20070814) - removed massive memleak.

Revision 1.21  2007/08/13 13:48:50  beorn
- Summary and description fix (GTK+ is not a programming language)

Revision 1.20  2007/08/13 12:20:18  blues
- svn snapshot 1352 (20070813)

Revision 1.19  2007/07/24 21:31:23  blues
- svn snapshot 1321 (from 20070724); added pl_desktop translation patch.

Revision 1.18  2007/06/08 19:46:30  blues
- svn snap 1293

Revision 1.17  2007/03/12 11:09:33  blues
- back to svn snapshots: 1183-20070312 (curves support)

Revision 1.16  2007/02/20 22:27:08  blues
- 0.5.1

Revision 1.15  2007/02/13 08:06:44  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.13  2007/02/07 19:15:56  aredridel
- 0.5

Revision 1.12  2007/01/19 09:14:39  blues
- svn snap 1080 with updated batch settings patch.

Revision 1.11  2007/01/16 20:46:30  blues
- rel.2 - rev1068_batch_window_settings.patch added

Revision 1.10  2007/01/16 09:16:32  blues
- svn1069 - builds and works - new feature: queue processing

Revision 1.9  2007/01/15 18:24:46  blues
- back to official URL (fetched from temporary)

Revision 1.8  2007/01/15 18:21:52  blues
- temporary update - svn rev 1055. Temporary source, tomorrow will be
  official source. Does not build yet.

Revision 1.7  2006/12/16 21:16:55  blues
- svn snapshot 962, taken official daily snapshot

Revision 1.6  2006/12/03 01:07:56  blues
- well... DESTDIR patch is back... :-/ it is needed

Revision 1.5  2006/12/02 21:57:59  blues
- DESTDIR patch is outdated

Revision 1.4  2006/12/01 19:05:55  blues
- svn953 snapshot - more export possibilities and cropping support. DESTDIR
  patch temporary commented out - I'll decide later what with it.

Revision 1.3  2006/11/29 09:27:12  blues
- distdir is not needed

Revision 1.2  2006/11/28 22:24:13  qboosh
- pl, cleanups
- more BRs
- License is GPL v2+

Revision 1.1  2006/11/25 20:44:27  blues
- initial, works
